<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscErrorSetCatchable</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscErrorSetCatchable"><H1>PetscErrorSetCatchable</H1></A>
Sets if a <A HREF="../Sys/PetscErrorCode.html#PetscErrorCode">PetscErrorCode</A> can be caught with a <A HREF="../Sys/PetscExceptionTry1.html#PetscExceptionTry1">PetscExceptionTry1</A>() <A HREF="../Sys/PetscExceptionCaught.html#PetscExceptionCaught">PetscExceptionCaught</A>() pair, or <A HREF="../Sys/PetscExceptionPush.html#PetscExceptionPush">PetscExceptionPush</A>(). By default all errors are catchable. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h" 
PetscErrorCode PETSC_DLLEXPORT PetscErrorSetCatchable(PetscErrorCode err,PetscTruth flg)
</PRE>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>err </B></TD><TD>- error code 
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>flg </B></TD><TD>- <A HREF="../Sys/PETSC_TRUE.html#PETSC_TRUE">PETSC_TRUE</A> means allow to be caught, <A HREF="../Sys/PETSC_FALSE.html#PETSC_FALSE">PETSC_FALSE</A> means do not allow to be caught
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
PETSc must not be configured using the option --with-errorchecking=0 for this to work
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscExceptionTry1.html#PetscExceptionTry1">PetscExceptionTry1</A>(), <A HREF="../Sys/PetscExceptionCaught.html#PetscExceptionCaught">PetscExceptionCaught</A>(), <A HREF="../Sys/PetscExceptionPush.html#PetscExceptionPush">PetscExceptionPush</A>(), <A HREF="../Sys/PetscExceptionPop.html#PetscExceptionPop">PetscExceptionPop</A>(), <A HREF="../Sys/PetscErrorIsCatchable.html#PetscErrorIsCatchable">PetscErrorIsCatchable</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/error/err.c.html#PetscErrorSetCatchable">src/sys/error/err.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
